CREATE TABLE IF NOT EXISTS `#__spidercontacts_contacts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(100) DEFAULT NULL,
  `last_name` varchar(100) DEFAULT NULL,
  `email` varchar(255) NOT NULL,
  `want_email` int(10) NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned DEFAULT NULL,
  `description` text,
  `image_url` varchar(200) DEFAULT NULL,
  `param` text,
  `ordering` int(11) NOT NULL,
  `published` tinyint(4) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;





CREATE TABLE IF NOT EXISTS `#__spidercontacts_contacts_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `description` text,
  `param` text,
  `parent` int(11) unsigned DEFAULT NULL,
  `ordering` int(11) NOT NULL,
  `published` tinyint(4) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;



CREATE TABLE IF NOT EXISTS `#__spidercontacts_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `to_contact` int(11) NOT NULL,
  `sender` varchar(255) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `cont_pref` varchar(250) NOT NULL,
  `readen` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1  ;



CREATE TABLE IF NOT EXISTS `#__spidercontacts_params` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `title` varchar(200) CHARACTER SET utf8 NOT NULL,
  `description` text CHARACTER SET utf8 NOT NULL,
  `value` varchar(200) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1  ;


INSERT IGNORE INTO  `#__spidercontacts_contacts_categories` (`id`, `name`, `description`, `param`, `parent`, `ordering`, `published`) VALUES
(1, 'South Park', 'South Park is an American animated sitcom created by Trey Parker and Matt Stonefor the Comedy Central television network. Intended for mature audiences, the show has become famous for its crude language and dark, surreal humor that lampoons awide range of topics. The ongoing narrative revolves around four boysStan Marsh,Kyle Broflovski, Eric Cartman and Kenny McCormickand their bizarre adventures in and around the titular Colorado town.', 'Occupation	Family	Religion	Residence		', NULL, 1, 1);

INSERT IGNORE INTO `#__spidercontacts_contacts` ( `id`,`first_name`, `last_name`, `email`, `want_email`, `category_id`, `description`, `image_url`, `param`, `ordering`, `published`) VALUES
(1,'Eric', 'Cartman', 'eric.cartman@southpark.com', 0, 1, '<hr id="system-readmore" /><p>Eric Theodore Cartman is a fictional character in the American animated television series South Park. One of four main characters, along with Stan Marsh, Kyle Broflovski, and Kenny McCormick, he is generally referred to within the series by his surname. He debuted on television when South Park first aired on August 13, 1997; he had earlier appeared in The Spirit of Christmas shorts created by Trey Parker and Matt Stone in 1992 (Jesus vs. Frosty) and 1995 (Jesus vs. Santa).

Voiced by Trey Parker, Cartman is an obese, immature, spoiled, selfish, manipulative, lazy, foul-mouthed, mean-spirited, sadistic, racist, sexist, anti-semitic, homophobic, xenophobic, sociopathic, narcissistic, and ill-tempered elementary school student living with his unwed mother in the fictional town of South Park, Colorado, where he routinely has extraordinary experiences not typical of conventional small-town life. Despite his many personality flaws, he is also depicted as being highly intelligent, outspoken, cunning and streetwise. He is one of few multilingual characters on the show, and is depicted speaking Spanish, French and German. He tends to make effective use of his capabilities by executing morally appallingyet highly successfulbusiness ideas.

Cartman is one of the most popular characters on the show and has remained one of the most recognizable television characters ever since South Park became a hit during its first season. Parker and Stone describe the character as "a little Archie Bunker", and state that he is their favorite character, and the one with whom they most identify. During its fifteen seasons, South Park has received both praise and criticism for Cartmans tendency to be politically incorrect and shockingly profane. Prominent publications and television channels have included Cartman on their lists of the most iconic television and cartoon characters of all time.</p>', 'components/com_spidercontacts/images/sampleimages/220px-ericcartman.png;;', 'par_Occupation@@:@@Student		par_Family@@:@@Liane Cartman (mother)	Jack Tenorman (biological father)	Scott Tenorman (half-brother)		par_Religion@@:@@Roman Catholic (1997 - 2012)	Judaism (2012 - present)		par_Residence@@:@@South Park, Colorado		', 3, 1),
(2,'Kenny', 'McCormick', 'kenny.mccormick@southpark.com', 0, 1, '<hr id="system-readmore" /><p>Kenneth "Kenny" McCormick (sometimes spelled as McKormick) is a character in the animated television series South Park. He is one of the main characters along with his friends Stan Marsh, Kyle Broflovski, and Eric Cartman. His oft-muffled and indiscernible speechthe result of his parka hood covering his mouthis provided by co-creator Matt Stone. He debuted on television when South Park first aired on August 13, 1997, after having first appeared in The Spirit of Christmas shorts created by Stone and long-time collaborator Trey Parker in 1992 (Jesus vs. Frosty) and 1995 (Jesus vs. Santa).Kenny is a third- then fourth-grade student who commonly has extraordinary experiences not typical of conventional small-town life in his hometown of South Park, Colorado, where he lives with his relatively poor redneck family. Kenny is animated by computer in a way to emulate the shows original method of cutout animation. he was played by an actor named Kenny Santos..He also appears in the 1999 full-length feature film South Park: Bigger, Longer & Uncut, as well as South Park-related media and merchandise.In a running gag most prevalent during the first five seasons of the series, Kenny would die in many episodes before returning in the next with little or no definitive explanation given. Other characters accompanying exclamation of "Oh my God! They killed Kenny! ...You bastards!" became a catchphrase. Media commentators have published their interpretations of the many aspects of the running gag from philosophical and societal viewpoints. Since the show began its sixth season in 2002, the practice of killing Kenny in each episode has been seldom used by the shows creators. Various episodes have set up the gag, sometimes presenting a number of explanations for Kennys unacknowledged reappearances.</p>', 'components/com_spidercontacts/images/sampleimages/150px-kennymccormick.png;;', 'par_Occupation@@:@@Student		par_Family@@:@@Carol McCormick (mother)	Stuart McCormick (father)	Kevin McCormick (brother)	Karen McCormick (sister)		par_Religion@@:@@Roman Catholic		par_Residence@@:@@South Park, Colorado		', 4, 1),
(3, 'Stan', 'Marsh', 'stan.marsh@southpark.com', 0, 1, '<hr id="system-readmore" /><p>Stanley Randall "Stan" Marsh is a fictional character in the animated television series South Park. He is voiced by and loosely based on series co-creator Trey Parker. Stan is one of the shows four central characters, along with his friends Kyle Broflovski, Kenny McCormick, and Eric Cartman. He debuted on television when South Park first aired on August 13, 1997, after having first appeared in The Spirit of Christmas shorts created by Parker and long-time collaborator Matt Stone in 1992 (Jesus vs. Frosty) and 1995 (Jesus vs. Santa).
Stan is a third- then fourth-grade student who commonly has extraordinary experiences not typical of conventional small-town life in his fictional hometown of South Park, Colorado. Stan is generally friendly, down-to-earth, knowledgeable, helpful, laid back, and often shares with Kyle a leadership role as the main protagonist of the show. Stan is unreserved in verbally expressing his distinct lack of esteem for adults and their influences, as adult South Park residents rarely make use of their critical faculties.Stan is animated by computer in a way to emulate the shows original method of cutout animation. He also appears in the 1999 full-length feature film South Park: Bigger, Longer & Uncut, as well as South Park-related media and merchandise. While Parker and Stone portray Stan as having common childlike tendencies, his dialogue is often intended to reflect stances and views on more adult-oriented issues, and has been frequently cited in numerous publications by experts in the fields of politics, religion, popular culture and philosophy</p>', 'components/com_spidercontacts/images/sampleimages/130px-stanmarsh.png;;', 'par_Occupation@@:@@Student		par_Family@@:@@Sharon Marsh (mother)	Randy Marsh (father)	Shelley Marsh (sister)		par_Religion@@:@@Roman Catholic		par_Residence@@:@@South Park, Colorado		', 1, 1),
(4, 'Kyle', 'Broflovski', 'kyle.broflovski@southpark.com', 0, 1, '<hr id="system-readmore" /><p>Kyle Broflovski (or Kyle Broflovsky) is a fictional character in Comedy Centrals animated television series South Park. He is voiced by and loosely based on co-creator Matt Stone. Kyle is one of the shows four central characters, along with his friends Stan Marsh, Kenny McCormick, and Eric Cartman. He debuted on television when South Park first aired on August 13, 1997, after having first appeared in The Spirit of Christmas shorts created by Stone and long-time collaborator Trey Parker in 1992 (Jesus vs. Frosty) and 1995 (Jesus vs. Santa). Kyle is a third- then fourth-grade student who commonly has extraordinary experiences not typical of conventional small-town life in his fictional hometown of South Park, Colorado. Kyle is distinctive as one of the few Jewish children on the show, and because of this, he often feels like an outsider amongst the core group of characters. His portrayal in this role is often dealt with satirically, and has elicited both praise and criticism from Jewish viewers. Kyle is animated by computer in a way to emulate the shows original method of cutout animation. He also appears in South Park: Bigger, Longer &amp; Uncut, the 1999 full-length feature film based on the series, as well as South Park-related media and merchandise. While Parker and Stone portray Kyle as having common childlike tendencies, his dialogue is often intended to reflect stances and views on more adult-oriented issues, and has been frequently cited in numerous publications by experts in the fields of politics, religion, pop culture, and philosophy</p>', 'components/com_spidercontacts/images/sampleimages/165px-kylebroflovski.png;;', 'par_Occupation@@:@@Student		par_Family@@:@@Sheila Broflovski (mother)	Gerald Broflovski (father)	Sir Ike Broflovski (adopted brother)		par_Religion@@:@@Judaism		par_Residence@@:@@South Park, Colorado		', 2, 1);






INSERT IGNORE INTO  `#__spidercontacts_params` ( `id`,`name`, `title`, `description`, `value`) VALUES
(1, 'table_border_style_table', 'Table Border Style in Table View', 'Table Border Style in Table View', 'solid'),
(2, 'cube_contact_cell_width', 'Contact Cell Width in Cube View', 'Contact Cell Width in Cube View', '150'),
(3, 'table_border_color', 'Border Color in Table View', 'Border Color in Table View', '#36739e'),
(4, 'table_params_background_color2', 'Parameters Background color 2 in Table', 'Background Color of odd parameters in Table', '#ed5353'),
(5, 'table_params_background_color1', 'Parameters Background color 1 in Table', 'Background Color of odd parameters in Table', '#00aeef'),
(6, 'params_background_color1', 'Parameters Background color 1', 'Background Color of odd parameters', '#4aeaff'),
(7, 'table_params_color1', 'Color of Parameter Values in Table', 'Color of Parameter Values in Table', '#ffffff'),
(8, 'table_title_size_small', 'Title Size in Table', 'Title Size in Table', '16'),
(9, 'table_small_picture_height', 'Picture Height in Table', 'Picture Height in Table', '50'),
(10,'params_background_color2', 'Parameters Background color 2', 'Background Color of odd parameters', '#1acded'),
(11, 'parameters_select_box_width', 'Parameters Select Box Width', 'Parameters Select Box Width', '300'),
(12, 'background_color', 'Background color', 'Background color', '#F0F0F0'),
(13, 'border_style', 'Border Style', 'Border Style', 'solid'),
(14, 'border_width', 'Border Width', 'Border Width', '12'),
(15, 'border_color', 'Border Color', 'Border Color', '#36739e'),
(16, 'text_color', 'Text Color', 'Text Color', '#000000'),
(17, 'params_color', 'Color of Parameter Values', 'Color of Parameter Values', '#000000'),
(18, 'hyperlink_color', 'Hyperlink Color', 'Hyperlink Color', '#02a7de'),
(19, 'title_color', 'Title Color', 'Title Color', '#ffffff'),
(20, 'title_background_color', 'Title Background color', 'Title Background color', '#00aeef'),
(21, 'button_color', 'Buttons Text color', 'Color of text of buttons', '#ffffff'),
(22, 'button_background_color', 'Buttons Background color', 'Background Color of buttons', '#00aeef'),
(23, 'table_small_picture_width', 'Picture Width in Table', 'Picture Width in Table', '50'),
(24, 'count_of_contact_in_the_row', 'Count of Contacts in the Row', 'Count of Products in the Row', '2'),
(25, 'count_of_rows_in_the_page', 'Count of Rows in the Page', 'Count of Rows in the Page', '5'),
(26, 'contact_cell_width', 'Contact Cell Width', 'Product Cell Width', '300'),
(27, 'contact_cell_height', 'Contact Cell Height', 'Product Cell Height', '370'),
(28, 'small_picture_width', 'Picture Width', 'Picture Width', '100'),
(29, 'small_picture_height', 'Picture Height', 'Picture Height', '100'),
(30, 'text_size_small', 'Text Size', 'Text Size', '12'),
(31, 'title_size_small', 'Title Size', 'Title Size', '20'),
(32, 'large_picture_width', 'Picture Width', 'Picture Width', '100'),
(33, 'large_picture_height', 'Picture Height', 'Picture Height', '100'),
(34, 'text_size_big', 'Text Size', 'Text Size', '14'),
(35, 'table_text_size_small', 'Text Size in Table', 'Text Size in Table', ''),
(36, 'title_size_big', 'Title Size', 'Title Size', '16'),
(37, 'table_border_style', 'Table Border Style', 'Table Border Style', 'solid'),
(38, 'show_cont_pref', 'Show ''Contact Preference'' Field	', 'Show ''Contact Preference'' Field	', '1'),
(39, 'show_name', 'Show ''Name'' field in Front-End', 'Show ''Name'' field in Front-End', '1'),
(40, 'enable_message', 'Oportunity to Send Message from Front-End', 'Oportunity to Send Message from Front-End', '1'),
(41, 'messages_background_color', 'Message background color', 'Message background color', '#ffffff'),
(42, 'module_width', 'Module Width', 'Module Width', '150'),
(43, 'module_background_color', 'Background color', 'Background Color of module', '#d8ecf2'),
(44, 'module_picture_width', 'Picture Width', 'Picture Width', '100'),
(45, 'module_picture_height', 'Picture Height', 'Picture Height', '100'),
(46, 'module_text_color', 'Text color', 'Color of Text in the module', '#6e6d5c'),
(47, 'show_email', 'Show ''Email'' field in Front-End', 'Show ''Email'' field in Front-End', '1'),
(48, 'show_phone', 'Show ''Phone'' field in Front-End', 'Show ''Phone'' field in Front-End', '1'),
(49, 'count_of_rows_in_the_table', 'Count of Rows in the Table', 'Count of Rows in the Table', '5'),
(50, 'table_radius', ' Nicely Rounded Corners In Table View', ' Nicely Rounded Corners In Table View in Front-End', '1'),
(51, 'name_search', 'Name Search', 'Search by Name in Front-End', '1'),
(52, 'choose_category', 'Choose category', 'Search product on frontend by category', '1'),
(53, 'radius', ' Nicely Rounded Corners', 'Round Corners in Front-End', '1'),
(54, 'table_text_color', 'Text Color in Table View', 'Text Color in Table View', '#050505'),
(55, 'table_background_color', 'Background color in Table View', 'Background color in Table View', '#F0F0F0'),
(56, 'table_title_background_color', 'Title Background color in Table', 'Title Background color in Table', '#3e95e6'),
(57, 'table_title_color', 'Title Color in Table', 'Title Color', '#ffffff'),
(58, 'table_parameters_select_box_width', 'Parameters Select Box Width in Table', 'Parameters Select Box Width in Table', '200'),
(59, 'cube_count_of_contact_in_the_row', 'Count of Contacts in the Row in the Small view', 'Count of Contacts in the Row in the Small view', '2'),
(60, 'cube_count_of_rows_in_the_page', 'Count of Rows in the Page for Small view', 'Count of Rows in the Page for Small view', '2'),
(61, 'cube_radius', ' Nicely Rounded Corners in cube view', 'Round Corners in Front-End', '1'),
(62, 'cube_border_width', 'Border Width in Short View', 'Border Width in Short View', '8'),
(63, 'cube_border_color', 'Border Color in Short View', 'Border Color in Short View', '#36739e'),
(64, 'cube_border_style', 'Border Style for Short View', 'Border Style for Short View', 'solid'),
(65, 'cube_text_size_small', 'Text Size in Short', 'Text Size in Short', '12'),
(66, 'cube_text_color', 'Text Color in Cube view', 'Text Color in Cube view', '#000000'),
(67, 'cube_background_color', 'Background color in Short View', 'Background color in Short View', '#F0F0F0'),
(68, 'cube_title_size_small', 'Title Size in Short view', 'Title Size in Short view', '14'),
(69, 'cube_title_color', 'Title Color in Short View', 'Title Color in Short View', '#ffffff'),
(70, 'cube_title_background_color', 'Title Background color in short View', 'Title Background color In Short', '#00aeef'),
(71, 'cube_small_picture_width', 'Picture Width in Short View', 'Picture Width in Short View', '60'),
(72, 'cube_small_picture_height', 'Picture Height in Short view', 'Picture Height in Short view', '60'),
(73, 'cube_hyperlink_color', 'Hyperlink Color in short View', 'Hyperlink Color', '#049acc'),
(74, 'table_border_width', 'Border Width in Table View', 'Border Width in Table View', '12'),
(75, 'cube_contact_cell_height', 'Contact Cell Height in Cube View', 'Contact Cell Height in Cube View', '170'),
(76, 'viewcontact_radius', 'Rounded corners in Contact view', 'Rounded corners in Contact view', '1'),
(77, 'hover_color', 'Row Color on Hover', 'Row Color on Hover', '#14c4ff'),
(78, 'change_on_hover', 'Change Color on Hover in Table View', 'Change Color on Hover in Table View', '1'),
(79, 'full_button_color', 'Buttons Text color', 'Color of text of buttons in FULL View', '#ffffff'),
(80, 'full_button_background_color', 'Buttons Background color', 'Background Color of buttons in FUll view', '#00aeef'),
(81, 'table_button_color', 'Buttons Text color', 'Color of text of buttons in Table ', '#ffffff'),
(82, 'table_button_background_color', 'Buttons Background color', 'Background Color of buttons in TableVIew', '#00aeef'),
(83, 'cube_button_color', 'Buttons Text color', 'Color of text of buttons in Short View', '#ffffff'),
(84, 'cube_button_background_color', 'Buttons Background color', 'Background Color of buttons in Cube View', '#00aeef'),
(85, 'small_pic_size', 'Small Pictures Size ', 'Small Pictures Size ', '60'),
(86, 'hover_text_color', 'Row Color on Hover', 'Row Color on Hover', '#ffffff'),
(87, 'table_params_color2', 'Color of Parameter Values in Table', 'Color of Parameter Values in Table', '#000000'),
(88, 'viewcontact_border_width', 'Border Width In Contact View', 'Border Width In Contact View', '12'),
(89, 'viewcontact_border_color', 'Border Color In Contact View', 'Border Color In Contact View', '#36739e'),
(90, 'viewcontact_border_style', 'Border Style In Contact', 'Border Style In Contact', 'solid'),
(91, 'viewcontact_text_color', 'Text Color In Contact View', 'Text Color In Contact View', '#ffffff'),
(92, 'viewcontact_background_color', 'Background color In Contact View', 'Background color In Contact View', '#F0F0F0'),
(93, 'viewcontact_title_color', 'Title Color in Contact View', 'Title Color in Contact View', '#ffffff'),
(94, 'viewcontact_title_background_color', 'Title Background color In Contact View', 'Title Background color In Contact View', '#00aeef'),
(95, 'viewcontact_params_background_color1', 'Parameters Background color 1 In Contact View', 'Parameters Background color 1 In Contact View', '#0ba7d6'),
(96, 'viewcontact_params_color', 'Color of Parameter Values in Contact View', 'Color of Parameter Values in Contact View', '#ffffff'),
(97, 'viewcontact_params_background_color2', 'Parameters Background color 2 In Contact View', 'Background Color of odd parameters', '#17d4ff'),
(98, 'description_text_color', 'Description Text Color', 'Description Text Color', '#000000');






